Draft Facebinder/tr: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
mNo edit summary
Line 1: Line 1:
<languages/>
<languages/>
{{GuiCommand/tr|Name=Draft Facebinder|Name/tr=Draft Facebinder|Workbenches=[[Draft Module/tr|Draft]], [[Arch Module/tr|Arch]]|MenuLocation=Draft → Facebinder|Shortcut=F F}}
{{GuiCommand/tr|Name=Draft Facebinder|Name/tr=Yüz maskesi|Workbenches=[[Draft Module/tr|Draft]], [[Arch Module/tr|Arch]]|MenuLocation=Draft → Facebinder|Shortcut=F F}}


==Description==
==Description==

Revision as of 11:57, 3 January 2019

Yüz maskesi

Menü konumu
Draft → Facebinder
Tezgahlar
Draft, Arch
Varsayılan kısayol
F F
Versiyonda tanıtıldı
-
Ayrıca bkz
Hiçbiri

Description

The facebinder a very simple object constructed from selected faces of other objects. It is of parametric, you can modify the original object and the facebinder object updates accordingly. It can then be used for example for making an extrusion out of a collection of faces from other objects. A typical use is in architectural design, to build an object that covers several pieces of walls. You can move and rotate the facebinder around after its creation, everything will stay linked to the original faces.

How to use

  1. Select faces on objects (use CTRL to select several faces)
  2. Press the Facebinder, button, or press F, F keys

Scripting

The facebinder tool can be usedin scripts and macros by using the following function:

makeFacebinder ( selectionset )
  • Creates a facebinder object from the given selection set, which is a list of selection objects such as returned by the FreeCADGui.Selection.getSelectionEx() method.
  • Only selected faces are taken into account
  • Returns the newly created object

Example:

import Draft, FreeCADGui
mySelection = FreeCADGui.Selection.getSelectionEx()
Draft.makeFacebinder(mySelection)

Limitations

  • Not available before version 0.14